<?php

declare(strict_types=1);

namespace mirzaev\huesos\models\enumerations;

// Files of the project
use	mirzaev\huesos\models\enumerations\language;

/**
 * Types of destination
 *
 * @package mirzaev\huesos\models\enumerations
 *
 * @license http://www.wtfpl.net/ Do What The Fuck You Want To Public License
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
enum destination
{
	case office;
	case door;

	/**
   * Label
   *
	 * Initialize label of the destination
	 *
	 * @param language|null $language Language into which to translate
	 *
	 * @return string Translated label of the destination
	 */
	public function label(?language $language = language::en): string
	{
		// Exit (success)
		return match ($this) {
			destination::office =>	match ($language) {
				language::en => 'Office',
				language::ru => 'Пункт выдачи'
			},
			destination::door => match ($language) {
				language::en => 'Door',
				language::ru => 'До двери'
			}
		};
	}
}
